    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019
    020package org.apache.wiki.ui.admin;
    021
    022import org.apache.wiki.event.WikiEvent;
    023
    024import java.util.List;
    025
    026public interface AdminBeanManager {
    027
    028    void initialize();
    029
    030    /**
    031     *  Lists all administration beans which are currently known
    032     *  and instantiated.
    033     *
    034     *  @return all AdminBeans known to the manager
    035     */
    036    List<AdminBean> getAllBeans();
    037
    038    /**
    039     *  Locates a bean based on the AdminBean.getId() out of all
    040     *  the registered beans.
    041     *
    042     *  @param id ID
    043     *  @return An AdminBean, or null, if no such bean is found.
    044     */
    045    AdminBean findBean(String id);
    046
    047    /**
    048     *  Unregisters AdminBeans upon SHUTDOWN event.
    049     *
    050     *  @param event the WikiEvent
    051     */
    052    void actionPerformed(WikiEvent event);
    053
    054    /**
    055     *  Returns the type identifier for a string type.
    056     *
    057     *  @param type A type string.
    058     *  @return A type value.
    059     */
    060    int getTypeFromString( String type );
    061
    062}